#ifndef _SAA1064_H_
#define _SAA1064_H_

/**
 * \file saa1064.h
 * \brief I2C-connection to the SAA1064 LED-driver
 * \author Ronald Schaten
 * \version $Id: saa1064.h,v 1.2 2007/01/03 12:38:55 rschaten Exp $
 *
 * License: See documentation.
 */

/* based on http://www.mulder.franken.de/ntpdcfledclock/ */

/**
 * This sets one digit on the LED module.
 * \param digit the number of the digit (0 - 3)
 * \param val a bitfield that contains the values to set
 */
void set_led_digit(uint8_t digit, uint8_t val);

/**
 * Configures the brightness of the LEDs. Or rather: the current the driver allows through them.
 * \param led_brightness The values 0 through 7 can be used, corresponding to 0 through 21 mA
 */
void set_led_brightness(uint8_t led_brightness);

/**
 * Initialize the LED module. This basically enables the pullups on the I2C Bus
 * pins.
 */
void led_init(void);

#endif
